<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'new-entity'"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="flex-row p-4 info-message-container">
      <i
        nz-icon
        class="sqtm-core-icon"
        nzType="info-circle"
        nzTheme="twotone"
        [nzTwotoneColor]="'#1890FF'"
      >
      </i>
      <p class="info-message">
        {{
          'sqtm-core.administration-workspace.projects.dialog.message.new-template-from-project'
            | translate
        }}
        <b> {{ data.projectName }}</b
        >.
      </p>
    </div>

    <div class="sqtm-core-dialog-form p-4">
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.name.label' | translate
      }}</label>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="'name'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.description.label' | translate
      }}</label>
      <sqtm-core-rich-text-field
        [formGroup]="formGroup"
        [fieldName]="'description'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-rich-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.project.label.tag' | translate
      }}</label>
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'label'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>

      <label class="label label__align_right">
        {{
          'sqtm-core.administration-workspace.projects.dialog.message.new-project.parameters'
            | translate
        }}
      </label>
      <div class="flex-column template-parameters">
        <span
          nz-checkbox
          [formGroup]="formGroup"
          formControlName="keepPermissions"
          ngDefaultControl
        >
          {{
            'sqtm-core.entity.project.authorizations.label.plural' | translate
          }}
        </span>
        <span
          nz-checkbox
          [formGroup]="formGroup"
          formControlName="keepCustomFields"
          ngDefaultControl
        >
          {{ 'sqtm-core.entity.custom-field.label.plural' | translate }}
        </span>
        <span
          nz-checkbox
          [formGroup]="formGroup"
          formControlName="keepInfoLists"
          ngDefaultControl
        >
          {{ 'sqtm-core.entity.info-list.label.plural' | translate }}
        </span>
        <span
          nz-checkbox
          [formGroup]="formGroup"
          formControlName="keepBugtracker"
          ngDefaultControl
        >
          {{ 'sqtm-core.entity.bugtracker.label.singular' | translate }}
        </span>
        @if (isUltimate$()) {
          <span
            nz-checkbox
            [formGroup]="formGroup"
            formControlName="keepAiServer"
            ngDefaultControl
          >
            {{ 'sqtm-core.entity.ai-server.label' | translate }}
          </span>
        }
        <span
          nz-checkbox
          [formGroup]="formGroup"
          formControlName="keepAutomation"
          ngDefaultControl
        >
          {{ 'sqtm-core.entity.automation.label.singular' | translate }}
        </span>
        <span
          nz-checkbox
          [formGroup]="formGroup"
          formControlName="keepMilestones"
          ngDefaultControl
        >
          {{ 'sqtm-core.entity.milestone.label.plural' | translate }}
        </span>
        <span
          nz-checkbox
          [formGroup]="formGroup"
          formControlName="keepAllowTcModificationsFromExecution"
          ngDefaultControl
        >
          {{
            'sqtm-core.administration-workspace.projects.dialog.message.new-project.keep-allow-tc-modifications-from-execution'
              | translate
          }}
        </span>
        <span
          nz-checkbox
          [formGroup]="formGroup"
          formControlName="keepOptionalExecutionStatuses"
          ngDefaultControl
        >
          {{
            'sqtm-core.administration-workspace.projects.dialog.message.new-project.keep-optional-execution-statuses'
              | translate
          }}
        </span>
        <span
          nz-checkbox
          [formGroup]="formGroup"
          formControlName="keepPlugins"
          ngDefaultControl
        >
          {{ 'sqtm-core.entity.plugin.label.plural' | translate }}
        </span>
        <span
          nz-checkbox
          [formGroup]="formGroup"
          formControlName="keepPluginsConfiguration"
          ngDefaultControl
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.administration-workspace.projects.dialog.message.replicate-plugin-conf-at-template-level'
              | translate
          "
          nzTooltipPlacement="left"
          (nzCheckedChange)="handleKeepPluginsConfigurationChange($event)"
        >
          {{
            'sqtm-core.administration-workspace.projects.dialog.message.new-project.copy-plugin-configuration'
              | translate: { pluginName: 'Xsquash' }
          }}
        </span>
      </div>
    </div>
  </div>
</sqtm-core-creation-dialog>
